Package org.gradle.tooling.exceptions

# Class UnsupportedBuildArgumentException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.tooling.GradleConnectionException
org.gradle.tooling.exceptions.UnsupportedBuildArgumentException

All Implemented Interfaces:
  `Serializable`

public class UnsupportedBuildArgumentException extends GradleConnectionException
Thrown when the `LongRunningOperation` has been configured with unsupported build arguments. For more information see the `LongRunningOperation.withArguments(String...)` method.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnsupportedBuildArgumentException(String message)`
  `UnsupportedBuildArgumentException(String message, Throwable cause)`

- ## Method Summary

  ### Methods inherited from class org.gradle.tooling.GradleConnectionException

  `getFailures`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnsupportedBuildArgumentException

    public UnsupportedBuildArgumentException(String message)

  - ### UnsupportedBuildArgumentException

    public UnsupportedBuildArgumentException(String message, Throwable cause)